Subject: bug#5766: 23.1.94; invisible pointer still highlights text

From: Stefan Monnier <[email-masked]>
Date: Tue, 30 Mar 2010 11:04:13 -0400

>> I like the new feature in 23.1.94 of having the mouse pointer turn
>> invisible when you are typing.  However, if text is set to highlight
>> when the pointer is over it, this still occurs when the invisible
>> pointer is over something.  This can be disorienting if you switch
>> contexts into a buffer that has this.  For example, if you're typing
>> away and then switch to gnus, info, or any of the other many places
>> where there is mouse-selectable text, some seemingly random text on the
>> screen may be highlighted because the invisible cursor is over it.  If
>> possible, it seems like any behavior triggered by the mouse pointer
>> being over something should be disabled when the mouse pointer is
>> invisible.

> I will shortly fix this in the trunk.  Is this appropriate for 23.2 also
> (Stefan or Yidong)?  Here's the patch:

> +  if (f->pointer_invisible) return;
> +
>    if (NILP (Vmouse_highlight)
>        || !f->glyphs_initialized_p)
>      return;

[ I didn't know about this feature.  ]
The `if' should be combined with the subsequent one, but other than that
I think it's OK to install for Emacs-23.2.

        Stefan